location:
    source_directories:
        - /shuttle/opt
    patterns:
        - '- /shuttle/opt/.snapshot'
        - '- /shuttle/opt/jupyter/conda'
        - '- /shuttle/opt/emby/metadata'
        - '- /shuttle/opt/btsync/var/*.journal*'
        - '- /shuttle/opt/openvpn-server/*.log'
    repositories:
        - /repo/opt

storage:
    compression: lz4
    archive_name_format: '{now:%Y-%m-%d}'
    unknown_unencrypted_repo_access_is_ok: true

retention:
    keep_daily: 7
    keep_weekly: 4
    keep_monthly: 6
    prefix: '20'

consistency:
    checks:
        - repository
        - archives
    check_last: 3
    prefix: '20'

hooks:
    before_backup:
        - echo -e "\n\n"
        - echo "#"
        - echo "# `date` - Starting a backup job."
        - echo "#"
    after_backup:
        - echo "#"
        - echo "# `date` - Backup created."
        - echo "#"
    on_error:
        - echo "#"
        - echo "# `date` - Error while creating a backup."
        - echo "#"
